Introduction

How Many Keys Should Be Removed From the Keyboard to Make You Feel Happy?

No.1 - cAPS loCK KeY

How many times you've accidentally pressed Caps Lock key when typing something important? Type, erase, re-type again... And all these problems because of the key that resides between Shift and Tab!

GRRR. I'VE PRESSED CAPS LOCK AGAIN WHEN TRYING TO PRESS SHIFT! Number 1 to remove from the keyboard!

No.2 - Windows Logo Key

Hardcore gamer or Terminal Services Client user? Then you certainly HATE THIS KEY! Yes, you hate this useful Windows Logo key. The key you use for opening Start menu in Windows.

Yes, Windows Logo key is absolutely handy way for opening Start menu. But not in the hot battle in Quake, Counter Strike or whatever game over network or when you are in full-screen session in Terminal Services client.

When you were fragged in the very important moment in the game and your team loses the round only because you accidentally press this key, you probably wanted to break you cool Natural keyboard!

The Terminal Session is absolutely real when you go full-screen. Guess which key do you press when you wanted to open Windows' Start menu in the session? We bet, you didn't press ALT+HOME combination, because you've got used to press Windows Logo key to do this operation!

No.3 - Power and Sleep Keys on the Keyboard

Tired to turn on your computer again and again after you've pressed Power key instead of Minus key on num-pad?

Or maybe the firm where you work use those damned cheap keyboards with Power and Sleep keys on the places where Home and Insert keys must be places?

Welcome to Power-and-Sleep-Key-Removers' club!

No.4 - Power and Sleep Keys on the Computer Case

Do you want to turn of the power of your computer when you miss Eject button on your CD-ROM and get in the Power key on the case? Certainly not. So you have to do something with the Power and Sleep keys on the computer case.

The Solution

So, what's the solution?

You can take off from your keyboard all those evil keys (and don't forget about Power and Sleep keys on the computer case!). Nice idea, but... You'll still get in the places where those buttons were. Your keyboard will look strange. And you'll certainly loose any warranties for your keyboard.

Yeah! These keys won't annoy me anymore!

The only right solution is to use our I Hate This Key program. You will be able to work as you've got used to work in Windows, but in some special cases, like playing games or working in Terminal Services Session, the program will block Windows Logo key, so nothing will hinder you to enjoy your game or to do your important job on server.

I Hate This Key Deluxe Edition will add some tricks to Caps Lock and Num Lock keys, so they'll not bother you anymore. And of course you will have full control over Power and Sleep keys on the keyboard and the computer case!

BTW, you'll even be able to use Windows Logo key in some games like No One Lives Forever.

No One Lives Forever can use Windows Logo key as a game control key.

Make your keyboard natural for you!

Copyright © ByteGems.com Software, 2002-3.


license

License information for I Hate This Key Freeware Edition

I Hate This Key is distributed as Freeware. This means:

  1. All copyrights to I Hate This Key are exclusively owned by ByteGems.com Software.
  2. There is no license fee for the I Hate This Key. If you wish to receive this program on media, there may be a small charge for the media and for shipping and handling. You are responsible for any and all taxes.
  3. I HATE THIS KEY IS DISTRIBUTED «AS IS». NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE AT YOUR OWN RISK. BYTEGEMS.COM SOFTWARE AND OLESKIY KOLISNYCHENKO WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.
  4. You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution.
  5. All rights not expressly granted here are reserved by ByteGems.com Software.
  6. Installing and using I Hate This Key signifies acceptance of these terms and conditions of the license.
  7. If you do not agree with the terms of this license you must remove I Hate This Key from your storage devices and cease to use the product.

Thank you for using I Hate This Key.


license-deluxe

License information for I Hate This Key Deluxe Edition

I Hate This Key Deluxe Edition is distributed as try-before-you-buy. This means:

  1. All copyrights to I Hate This Key Deluxe Edition are exclusively owned by ByteGems.com Software.
  2. Anyone may use this software during a test period of 15 days for free. Following this test period of 15 days or less, if you wish to continue to use I Hate This Key Deluxe Edition, you have to register.
  3. Once registered, the user is granted a non-exclusive license to use I Hate This Key Deluxe Edition on one computer (i.e. a single CPU), for any legal purpose, at a time. The registered I Hate This Key Deluxe Edition software may not be rented or leased, but may be permanently transferred, if the person receiving it agrees to terms of this license.
  4. The I Hate This Key Deluxe Edition unregistered trial version, may be freely distributed, with exceptions noted below, provided the distribution package is not modified. No person or company may charge a fee for the distribution of I Hate This Key Deluxe Edition without written permission from the copyright holder. The I Hate This Key Deluxe Edition unregistered trial version may not be bundled or distributed with any other package without written permission of the copyright holder.
  5. I HATE THIS KEY DELUXE EDITION IS DISTRIBUTED . NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE AT YOUR OWN RISK. BYTEGEMS.COM SOFTWARE AND OLESKIY KOLISNYCHENKO WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.
  6. You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution.
  7. All rights not expressly granted here are reserved by ByteGems.com Software.
  8. Installing and using I Hate This Key Deluxe Edition signifies acceptance of these terms and conditions of the license.
  9. If you do not agree with the terms of this license you must remove I Hate This Key Deluxe Edition from your storage devices and cease to use the product.

Thank you for using I Hate This Key.


Register

Why Register?

I Hate This Key Deluxe Edition is FREE for 15 day trial period. After expiration of the trial period you have either to register or to stop using I Hate This Key Deluxe Edition.

What Do You Receive When Register?

  • All nag reminders will disappear.
  • FREE upgrades to new versions.
  • Lifetime support via e-mail.

Purchasing On-Line

You can register our products either online, or by using one of the alternative ordering methods, such as phone, mail, via fax, by check, cash, or bank/wire transfer.

If you use a credit card to purchase a ByteGems.com Software product, the credit card number is encrypted as it passes over the Internet. Your credit card number is not kept or recorded by ByteGems.com Software or our registrars - it is simply passed through to the credit card company to purchase the product. In this respect, buying programs from ByteGems.com Software is similar to a credit card purchase at any store. Neither ByteGems.com Software nor the store keeps your credit card number on file.

After purchasing a product you will receive via e-mail a registration code from us within 24 hours. If you do not receive the registration key within 24 hours, contact us, please.

Pricing and Ordering

Price: USD — 995 or EUR — 895

1 License = 1 User

Order I Hate This Key Deluxe Edition now: US Dollars or Euro.


support

Support Information

If you are experiencing the problems using our products or have any questions on our software, contact us. When writing us, please describe your problem, specify the name and the version of the program you are using and the version of the operating system on your computer.

If you have wishes or ideas on our software, contact us too, please. Help us improve our software and make it more useful for the people that use it!

Use the following e-mail to contact us: support@bytegems.com.

Download the latest version of I Hate This Key from ByteGems.com Software.


moregems

More Products from ByteGems.com Software

Do you like I Hate This Key? Try other ByteGems.com Software's products!

Display Resolution Manager

Disputing display resolution and brightness settings with your colleagues or kids? Stop the squabbles with this program! Display Resolution Manager is a utility that allows multiple users sharing a computer to set their own display resolution, gamma, brigtness and contrast preferences. It automatically switches monitor to the preferred resolution when the user starts working. The system administrator can set the default display resolution for all users as well as for when no one is logged on the system. Display Resolution Manager will help either you have one monitor or multiple monitor configuration.
It's so easy to live in peace! Try Display Resolution Manager now!

QuickFolders

Did you ever thought of how much time is wasted while browsing through the millions of folders when you try to attach in Outlook a file that was saved with Photoshop? This program will help you to handle the same documents with different programs. QuickFolders will save your time by extending the functionality of standard Windows and Microsoft® Office family Open and Save File dialogs by adding lists of favorite folders, recently visited folders and recently opened or saved files into system menu of the dialogs. You will be able to browse folders with your Microsoft® IntelliMouse® Explorer by using this program. As a bonus, file dialogs can be configured to be transparent.
Start saving your time with QuickFolders now!

My Sidebar for Internet Explorer

Want to know everything in the world? This program will help you to be informed with all latest news all over the world and will save time you spending while visiting your favorite news portals. You will see all latest headlines in your Internet Explorer while surfing the Internet. My Sidebar for Internet Explorer will keep you connected: business, computer and entertainment news, web forums and picture galleries, internet auctions, stocks and blogs will always be near you.
Latest news with FREE home delivery. Download My Sidebar for Internet Explorer now!

Visit ByteGems.com Software now.


HOWTOuse

Basic Configuration - Block Windows Logo Key

In order to use this program, just run it. By default the program will block Windows Logo key only in all full-screen games.

You can choose when I Hate This Key should block Windows Logo key using Block Windows Logo key radio buttons.

If you select Never radio button, the program won't block Windows Logo key at all.

Select In full-screen games only radio button, if you want I Hate This Key to block Windows Logo key only in all full-screen games. But note that this option won't work when you're playing Half Life or Counter Strike. This is a known feature of these games. See the next option to workaround this problem.

If you select In all full-screen games and applications radio button, the program will block Windows Logo key in all full-screen applications (like Internet Explorer in theatre mode, Terminal Services Client in full-screen mode, Windows Media Player in full-screen mode and so on) and all full-screen games. Even Half Life and Counter Strike will be affected!

And, at last, you do not want to use Windows Logo key at all, select Always radio button.

By default, I Hate This Key runs when Windows starts. If you do not want this behaviour, clear Run this program when Windows starts check box.


HOWTOusedelocks

Block Caps and Num Lock Keys

Pressing Caps Lock will make every letter you type a capital and it's really easy to press this key by mistake. I Hate This Key Deluxe Edition can block Caps Lock at all or make turning the Caps Lock on harder. Num Lock key can be disabled or made harder to press too.

Select Never radio button if you want to disable Caps Lock or Num Lock key at all.

If you want to turn on Caps Lock or Num Lock key by double-clicking this key, select Only when I double-click this key radio button. Set double-click speed to the value that will suit you, using Double-click speed slider.

You can add some delay to Caps Lock or Num Lock key press by selecting Only when I hold this key during some time. The amount of time for holding the key can be set using Delay amount slider.

If you do not want I Hate This Key Deluxe Edition to counteract the Caps Lock or Num Lock key, select Always radio button.

I Hate This Key Deluxe Edition will help you to solve the problem with initial Caps Lock and Num Lock states when you are starting Windows. Select Lock is on at startup check box if you want Num Lock or Caps Lock to be turned on when Windows starting. Clear this box if you want Caps Lock or Num Lock to be turned off.


HOWTOusedepower

Block Power and Sleep Keys

Modern keyboards very often have Power and Sleep key in very inconvenient places, so they can be pressed by mistake. It's a pity when Windows shuting down after you pressed Power key on your keyboard when trying to press a key on a num-pad. I Hate This Key Deluxe Edition will help you to deal with such issues. The program will also protect you from unauthorized use of Power and Sleep key on the computer case.

You can setup Windows behaviour on accidental pressings of Power and Sleep keys on the keyboard or the computer case.

If you select Ask me what to do radio button, Windows will show standard Shut Down dialog wherever you press Power or Sleep key.

Select Always radio button, if you want I Hate This Key Deluxe Edition to block Power or Sleep key at all, so Windows won't do anything when you accidentally press Power or Sleep key on the keyboard.

If you select Never radio button, your Power and Sleep keys will work as they used to work.

Note, that I Hate This Key Deluxe Edition can distinguish Power and Sleep keys on your keyboard, but can't do this for Power and Sleep keys on the computer keys. So, you can set different options for Power key on the keyboard, Sleep key on the keyboard and Power and Sleep key on the computer case.